Olympus Docs
ReferenceAPIsOry Hydra APIoAuth2

List OAuth 2.0 Clients

This endpoint lists all clients in the database, and never returns client secrets.

GET /admin/clients

This endpoint lists all clients in the database, and never returns client secrets. As a default it lists the first 100 clients.

Operation ID: listOAuth2Clients    Tag: oAuth2

Query parameters

NameTypeRequiredDescription
page_sizeinteger (int64)noItems per Page This is the number of items per page to return. For details on pagination please head over to the pagination documentation.
page_tokenstringnoNext Page Token The next page token. For details on pagination please head over to the pagination documentation.
client_namestringnoThe name of the clients to filter by.
ownerstringnoThe owner of the clients to filter by.

Responses

StatusDescriptionBody
200Paginated OAuth2 Client List Responseapplication/json, array of object
defaultDefault Error Responseapplication/json, object

Generated from ../athena/openapi.json at build time.

On this page